Bug 9124 - 942e tied to undefined CN_EDITION in default MARC21 framework
Summary: 942e tied to undefined CN_EDITION in default MARC21 framework
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-21 15:46 UTC by Magnus Enger
Modified: 2016-06-21 21:36 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9124: Remove non-existing field mapping and auth value for 942$e (138.36 KB, patch)
2014-11-29 12:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9124: Remove non-existing field mapping and auth value for 942$e (138.42 KB, patch)
2014-12-28 00:51 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9124: Remove non-existing field mapping and auth value for 942$e (138.31 KB, patch)
2015-01-02 13:10 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-11-21 15:46:48 UTC
Looks like 942e is tied to an authorized value called CN_EDITION in the default MARC21 framework (perhaps in other frameworks too, I didn't check):

('942', 'e', 'Edition', 'Edition', 0, 0, 'biblioitems.cn_edition', 9, 'CN_EDITION', '', '', NULL, 0, '', '', '', NULL),

http://git.koha-community.org/gitweb/?p=koha.git;a=blob;f=installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.sql;hb=HEAD#l79

CN_EDITION is not defined in either of these:
installer/data/mysql/en/mandatory/auth_values.sql
installer/data/mysql/en/optional/auth_val.sql

This results in an empty dropdown for the 942e field on the cataloguing screen.
Comment 1 Katrin Fischer 2014-08-29 14:12:41 UTC
This is still the case.
Comment 2 Katrin Fischer 2014-11-29 11:58:32 UTC
It gets even worse... biblioitems.cn_edition doesn't exist?
Comment 3 Katrin Fischer 2014-11-29 12:35:01 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2014-12-28 00:51:09 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2015-01-02 13:10:23 UTC
Created attachment 34863 [details] [review]
[PASSED QA] Bug 9124: Remove non-existing field mapping and auth value for 942$e

942$e is mapped to biblioitems.cn_edition, which doesn't exist and
to an authorized value CN_EDITION, which doesn't exist either.

Patch removes the wrong mapping and non-existing auth value from
the frameworks.

To test:
- git diff --color-words HEAD^ is helpful
- Check all mappings are changed and SQL is still valid

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Tomás Cohen Arazi 2015-01-04 15:21:23 UTC
Patch pushed to master.

Thanks Katrina!